Package com.salesforce.datacloud.jdbc

# Class DataCloudDatasource

java.lang.Object
com.salesforce.datacloud.jdbc.DataCloudDatasource

All Implemented Interfaces:
  `Wrapper`, `CommonDataSource`, `DataSource`

public class DataCloudDatasource extends Object implements DataSource

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final String`
`NOT_SUPPORTED_IN_DATACLOUD_QUERY`

## Constructor Summary

Constructors
Constructor
Description
`DataCloudDatasource()`

## Method Summary

Modifier and Type
Method
Description
`Connection`
`getConnection()`
`Connection`
`getConnection(String username, String password)`
`int`
`getLoginTimeout()`
`PrintWriter`
`getLogWriter()`
`Logger`
`getParentLogger()`
`boolean`
`isWrapperFor(Class<?> iface)`
`void`
`setClientId(String clientId)`
`void`
`setClientSecret(String clientSecret)`
`void`
`setConnectionUrl(String connectionUrl)`
`void`
`setCoreTenantId(String coreTenantId)`
`void`
`setCoreToken(String coreToken)`
`void`
`setDataspace(String dataspace)`
`void`
`setInternalEndpoint(String internalEndpoint)`
`void`
`setLoginTimeout(int seconds)`
`void`
`setLogWriter(PrintWriter out)`
`void`
`setPassword(String password)`
`void`
`setPort(String port)`
`void`
`setPrivateKey(String privateKey)`
`void`
`setRefreshToken(String refreshToken)`
`void`
`setTenantId(String tenantId)`
`void`
`setUserName(String userName)`
`<T> T`
`unwrap(Class<T> iface)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.sql.CommonDataSource

`createShardingKeyBuilder`

### Methods inherited from interface javax.sql.DataSource

`createConnectionBuilder`

## Field Details

### NOT_SUPPORTED_IN_DATACLOUD_QUERY

protected static final String NOT_SUPPORTED_IN_DATACLOUD_QUERY

See Also:
  - Constant Field Values

## Constructor Details

### DataCloudDatasource

public DataCloudDatasource()

## Method Details

### getConnection

public Connection getConnection() throws SQLException

Specified by:
  `getConnection` in interface `DataSource`
Throws:
  `SQLException`

### getConnection

public Connection getConnection(String username, String password) throws SQLException

Specified by:
  `getConnection` in interface `DataSource`
Throws:
  `SQLException`

### getLogWriter

public PrintWriter getLogWriter() throws SQLException

Specified by:
  `getLogWriter` in interface `CommonDataSource`
Specified by:
  `getLogWriter` in interface `DataSource`
Throws:
  `SQLException`

### setLogWriter

public void setLogWriter(PrintWriter out) throws SQLException

Specified by:
  `setLogWriter` in interface `CommonDataSource`
Specified by:
  `setLogWriter` in interface `DataSource`
Throws:
  `SQLException`

### setLoginTimeout

public void setLoginTimeout(int seconds) throws SQLException

Specified by:
  `setLoginTimeout` in interface `CommonDataSource`
Specified by:
  `setLoginTimeout` in interface `DataSource`
Throws:
  `SQLException`

### getLoginTimeout

public int getLoginTimeout() throws SQLException

Specified by:
  `getLoginTimeout` in interface `CommonDataSource`
Specified by:
  `getLoginTimeout` in interface `DataSource`
Throws:
  `SQLException`

### getParentLogger

public Logger getParentLogger()

Specified by:
  `getParentLogger` in interface `CommonDataSource`

### unwrap

public <T> T unwrap(Class<T> iface) throws SQLException

Specified by:
  `unwrap` in interface `Wrapper`
Throws:
  `SQLException`

### isWrapperFor

public boolean isWrapperFor(Class<?> iface) throws SQLException

Specified by:
  `isWrapperFor` in interface `Wrapper`
Throws:
  `SQLException`

### setConnectionUrl

public void setConnectionUrl(String connectionUrl)

### setUserName

public void setUserName(String userName)

### setPassword

public void setPassword(String password)

### setPrivateKey

public void setPrivateKey(String privateKey)

### setRefreshToken

public void setRefreshToken(String refreshToken)

### setCoreToken

public void setCoreToken(String coreToken)

### setInternalEndpoint

public void setInternalEndpoint(String internalEndpoint)

### setPort

public void setPort(String port)

### setTenantId

public void setTenantId(String tenantId)

### setDataspace

public void setDataspace(String dataspace)

### setCoreTenantId

public void setCoreTenantId(String coreTenantId)

### setClientId

public void setClientId(String clientId)

### setClientSecret

public void setClientSecret(String clientSecret)